/* epkowa_ip_api.h -- for scanners that don't speak EPSON ESC/I natively
   Copyright (C) 2005  SEIKO EPSON Corporation
*/

#ifndef epkowa_ip_api_h_included
#define epkowa_ip_api_h_included

#include <stddef.h>
#include <stdint.h>
#include <sys/types.h>

#ifndef __cplusplus
typedef enum {
  false = 0,
  true
} bool;
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef ssize_t io_callback (void *buffer, size_t length);

bool int_init (int fd, io_callback *read, io_callback *write);
void int_fini (void);

int int_read  (void *buffer, size_t length);
int int_write (void *buffer, size_t length);

void int_power_saving_mode (void);

int  function_s_0 (unsigned int offset,
		   unsigned int width,
		   unsigned int resolution,
		   unsigned int opt_resolution,
		   double * table);

void function_s_1 (uint8_t *in_buf, uint8_t *out_buf,
		   unsigned int width, bool color, double *table);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* !epkowa_ip_api_h_included */
